de.vc.io.rtf.parser

## Class TableCellProperties

- java.lang.Object
- - de.vc.io.rtf.parser.TableCellProperties

- All Implemented Interfaces:
    java.lang.Cloneable

      public class TableCellProperties
      extends java.lang.Object
      implements java.lang.Cloneable

  Table cell properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `backgroundPattern`
    `RTFBorderProperties` | `borderBottom`
    `RTFBorderProperties` | `borderLeft`
    `RTFBorderProperties` | `borderRight`
    `RTFBorderProperties` | `borderTop`
    `boolean` | `ignorePaddingBottom`
    `boolean` | `ignorePaddingLeft`
    `boolean` | `ignorePaddingRight`
    `boolean` | `ignorePaddingTop`
    `boolean` | `mergeHorizontal`
    `boolean` | `mergeHorizontalFirst`
    `boolean` | `mergeVertrical`
    `int` | `paddingBottom`
    `int` | `paddingLeft`
    `int` | `paddingRight`
    `int` | `paddingTop`
    `int` | `rightBoundary`
    `double` | `shading`
    `java.awt.Color` | `shadingBackground`
    `java.awt.Color` | `shadingForeground`
    `int` | `verticalAlign`
    `int` | `writingMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableCellProperties()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TableCellProperties` | `copy()`
    `java.awt.image.BufferedImage` | `createPatternImage(java.awt.Dimension patternSize)`
    `java.lang.String` | `filenameForBGImage()`
    `java.awt.Color` | `getBackgroundColor()`
    `java.awt.Color` | `getForegroundColor()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rightBoundary

          public int rightBoundary

    - #### borderLeft

          public RTFBorderProperties borderLeft

    - #### borderRight

          public RTFBorderProperties borderRight

    - #### borderTop

          public RTFBorderProperties borderTop

    - #### borderBottom

          public RTFBorderProperties borderBottom

    - #### verticalAlign

          public int verticalAlign

    - #### paddingLeft

          public int paddingLeft

    - #### ignorePaddingLeft

          public boolean ignorePaddingLeft

    - #### paddingRight

          public int paddingRight

    - #### ignorePaddingRight

          public boolean ignorePaddingRight

    - #### paddingTop

          public int paddingTop

    - #### ignorePaddingTop

          public boolean ignorePaddingTop

    - #### paddingBottom

          public int paddingBottom

    - #### ignorePaddingBottom

          public boolean ignorePaddingBottom

    - #### mergeVertrical

          public boolean mergeVertrical

    - #### shadingForeground

          public java.awt.Color shadingForeground

    - #### shadingBackground

          public java.awt.Color shadingBackground

    - #### shading

          public double shading

    - #### backgroundPattern

          public int backgroundPattern

    - #### mergeHorizontalFirst

          public boolean mergeHorizontalFirst

    - #### mergeHorizontal

          public boolean mergeHorizontal

    - #### writingMode

          public int writingMode

  - ### Constructor Detail

    - #### TableCellProperties

          public TableCellProperties()

  - ### Method Detail

    - #### createPatternImage

          public java.awt.image.BufferedImage createPatternImage(java.awt.Dimension patternSize)

    - #### filenameForBGImage

          public java.lang.String filenameForBGImage()

    - #### getBackgroundColor

          public java.awt.Color getBackgroundColor()

    - #### getForegroundColor

          public java.awt.Color getForegroundColor()

    - #### copy

          public TableCellProperties copy()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.